%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-pretty-bytes
Version:    0.1.0
Release:    1%{?dist}
Summary:    Convert bytes to a human readable string
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/sindresorhus/pretty-bytes
Source0:    http://registry.npmjs.org/pretty-bytes/-/pretty-bytes-%{version}.tgz
Source1:    https://raw.github.com/sindresorhus/pretty-bytes/980b3e5aee5e6ab95a369951a09c29e2b596b8b4/test.js
# https://github.com/sindresorhus/pretty-bytes/pull/1
Source2:    LICENSE

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/pretty-bytes
cp -pr package.json cli.js pretty-bytes.js \
    %{buildroot}%{nodejs_sitelib}/pretty-bytes

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/pretty-bytes/cli.js \
    %{buildroot}%{_bindir}/pretty-bytes

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha
%endif


%files
%doc LICENSE readme.md
%{nodejs_sitelib}/pretty-bytes
%{_bindir}/pretty-bytes


%changelog
* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
